@media (-ms-high-contrast:active) and (min-width:993px),
(-ms-high-contrast:none) and (min-width:993px) {
    .card__beer--list,
    .card__brewery--list,
    .card__case--list,
    .card__groups--list,
    .card__product--list,
    .card__winemaker--list,
    .faq,
    .wall {
        max-width: 100% !important
    }

    .wall .card__header {
        max-width: 20% !important;
        display: block
    }
    .card__beer--list .card__contents,
    .card__brewery--list .card__contents,
    .card__case--list .card__contents,
    .card__groups--list .card__contents,
    .card__product--list .card__contents,
    .card__winemaker--list .card__contents,
    .faq .card__contents,
    .wall .card__contents {
        max-width: 35% !important
    }
    .card__beer--list .flat-rating,
    .card__brewery--list .flat-rating,
    .card__case--list .flat-rating,
    .card__groups--list .flat-rating,
    .card__product--list .flat-rating,
    .card__winemaker--list .flat-rating,
    .faq .flat-rating,
    .wall .flat-rating {
        max-width: 15% !important
    }
    .card__beer--list .pricing__wrapper,
    .card__brewery--list .pricing__wrapper,
    .card__case--list .pricing__wrapper,
    .card__groups--list .pricing__wrapper,
    .card__product--list .pricing__wrapper,
    .card__winemaker--list .pricing__wrapper,
    .faq .pricing__wrapper,
    .wall .pricing__wrapper {
        width: 100%;
        max-width: 30% !important
    }
}

@media (-ms-high-contrast:active),
not all and (-ms-high-contrast:none) {
    .card__beer--list,
    .card__brewery--list,
    .card__case--list,
    .card__groups--list,
    .card__product--list,
    .card__winemaker--list,
    .faq,
    .wall {
        flex-basis: 100% !important
    }
    .card__beer--list .card__header,
    .card__brewery--list .card__header,
    .card__case--list .card__header,
    .card__groups--list .card__header,
    .card__product--list .card__header,
    .card__winemaker--list .card__header,
    .faq .card__header,
    .wall .card__header {
        flex-basis: 20% !important
    }
    .card__beer--list .card__contents,
    .card__brewery--list .card__contents,
    .card__case--list .card__contents,
    .card__groups--list .card__contents,
    .card__product--list .card__contents,
    .card__winemaker--list .card__contents,
    .faq .card__contents,
    .wall .card__contents {
        flex-basis: 35% !important
    }
    .card__beer--list .flat-rating,
    .card__brewery--list .flat-rating,
    .card__case--list .flat-rating,
    .card__groups--list .flat-rating,
    .card__product--list .flat-rating,
    .card__winemaker--list .flat-rating,
    .faq .flat-rating,
    .wall .flat-rating {
        flex-basis: 10% !important
    }
    .card__beer--list .pricing__wrapper,
    .card__brewery--list .pricing__wrapper,
    .card__case--list .pricing__wrapper,
    .card__groups--list .pricing__wrapper,
    .card__product--list .pricing__wrapper,
    .card__winemaker--list .pricing__wrapper,
    .faq .pricing__wrapper,
    .wall .pricing__wrapper {
        flex-basis: 30% !important
    }
}


wall-post-root-component {
    width: 100%;
    display: block;
    padding-bottom: 2rem
}

wall-post-creation-component,
wall-post-load-more-component {
    display: block;
    margin-bottom: 1.5rem
}

wall-post-creation-component .wall header {
    padding: 20px
}

@media (max-width:375px) {
    wall-post-creation-component .wall header {
        padding: 15px
    }
}

wall-post-creation-component .wall header form {
    margin-bottom: 0
}

wall-post-creation-component .wall footer {
    border-top: 1px solid #ccc
}

wall-post-creation-component .wall footer .btn,
wall-post-creation-component .wall footer .survey__cta,
wall-post-creation-component .wall footer button {
    margin-bottom: 0
}

wall-post-creation-component .wall footer .btn.hide__sm--down,
wall-post-creation-component .wall footer .hide__sm--down.survey__cta {
    margin-left: 14px
}

wall-post-creation-component .wall textarea,
wall-post-creation-component .wall textarea:active,
wall-post-creation-component .wall textarea:focus,
wall-post-creation-component .wall textarea:hover {
    font-size: .9rem;
    color: #333;
    -webkit-font-smoothing: antialiased;
    text-rendering: optimizeLegibility
}

wall-post-creation-component .wall textarea::-webkit-input-placeholder {
    font-size: 1.1rem;
    color: #333
}

wall-post-creation-component .wall textarea:-moz-placeholder,
wall-post-creation-component .wall textarea::-moz-placeholder {
    font-size: 1.1rem;
    color: #333
}

wall-post-creation-component .wall textarea:-ms-input-placeholder {
    font-size: 1.1rem;
    color: #333
}

@media (max-width:767px) {
    wall-post-creation-component .wall textarea::-webkit-input-placeholder {
        font-size: .9rem;
        color: #333
    }
    wall-post-creation-component .wall textarea:-moz-placeholder,
    wall-post-creation-component .wall textarea::-moz-placeholder {
        font-size: .9rem;
        color: #333
    }
    wall-post-creation-component .wall textarea:-ms-input-placeholder {
        font-size: .9rem;
        color: #333
    }
}

wall-post-creation-component .wall .wall-comment-tooltip {
    position: relative;
    display: inline-block
}

wall-post-creation-component .wall .wall-comment-tooltip .tooltiptext {
    background-color: #0f70e8;
    color: #eee;
    text-align: center;
    font-weight: 700;
    padding: 5px 0;
    border-radius: 6px;
    width: 200%;
    bottom: 120%;
    right: 0;
    margin-left: -60px;
    position: absolute;
    z-index: 1
}

wall-post-creation-component .wall .wall-comment-tooltip .tooltiptext:after {
    content: " ";
    position: absolute;
    top: 100%;
    right: 10%;
    margin-left: -5px;
    border-width: 5px;
    border-style: solid;
    border-color: #0f70e8 transparent transparent
}

wall-post-creation-component .wall .post-uploads {
    margin-left: 0;
    margin-right: 0
}

wall-post-creation-component .wall .post-uploads .media-loader {
    text-align: center
}

wall-post-creation-component .wall .post-uploads .media-loader .loader-dots>span {
    width: 10px;
    height: 10px
}

wall-post-creation-component .wall .post-uploads .uploaded-image,
wall-post-creation-component .wall .post-uploads .uploaded-video {
    margin-right: 10px;
    margin-bottom: 10px
}

wall-post-creation-component .wall .post-uploads .uploaded-image>div,
wall-post-creation-component .wall .post-uploads .uploaded-video>div {
    height: 140px;
    display: inline-block;
    position: relative
}

wall-post-creation-component .wall .post-uploads .uploaded-image>div:hover .btn--icon,
wall-post-creation-component .wall .post-uploads .uploaded-image>div:hover .survey__close,
wall-post-creation-component .wall .post-uploads .uploaded-video>div:hover .btn--icon,
wall-post-creation-component .wall .post-uploads .uploaded-video>div:hover .survey__close {
    opacity: 1
}

wall-post-creation-component .wall .post-uploads .uploaded-image img,
wall-post-creation-component .wall .post-uploads .uploaded-video img {
    display: block;
    width: auto;
    height: 140px;
    background: #fff;
    border: 1px solid #ccc
}

wall-post-creation-component .wall .post-uploads .uploaded-image .btn--icon,
wall-post-creation-component .wall .post-uploads .uploaded-image .survey__close,
wall-post-creation-component .wall .post-uploads .uploaded-video .btn--icon,
wall-post-creation-component .wall .post-uploads .uploaded-video .survey__close {
    transition: opacity .2s, background-color .2s;
    opacity: 0;
    position: absolute;
    top: 6px;
    right: 4px;
    background-color: hsla(0, 0%, 100%, .75);
    width: 20px;
    height: 20px;
    border-radius: 12px;
    padding: 4px
}

wall-post-creation-component .wall .post-uploads .uploaded-image .btn--icon:hover,
wall-post-creation-component .wall .post-uploads .uploaded-image .survey__close:hover,
wall-post-creation-component .wall .post-uploads .uploaded-video .btn--icon:hover,
wall-post-creation-component .wall .post-uploads .uploaded-video .survey__close:hover {
    background-color: #fff
}

wall-post-creation-component .wall .post-uploads .uploaded-image .btn--icon svg,
wall-post-creation-component .wall .post-uploads .uploaded-image .survey__close svg,
wall-post-creation-component .wall .post-uploads .uploaded-video .btn--icon svg,
wall-post-creation-component .wall .post-uploads .uploaded-video .survey__close svg {
    color: #333;
    font-size: .75rem;
    vertical-align: 0;
    top: -2px;
    position: relative
}

wall-post-creation-component .wall .post-uploads .uploaded-image .btn--icon svg:active,
wall-post-creation-component .wall .post-uploads .uploaded-image .btn--icon svg:hover,
wall-post-creation-component .wall .post-uploads .uploaded-image .survey__close svg:active,
wall-post-creation-component .wall .post-uploads .uploaded-image .survey__close svg:hover,
wall-post-creation-component .wall .post-uploads .uploaded-video .btn--icon svg:active,
wall-post-creation-component .wall .post-uploads .uploaded-video .btn--icon svg:hover,
wall-post-creation-component .wall .post-uploads .uploaded-video .survey__close svg:active,
wall-post-creation-component .wall .post-uploads .uploaded-video .survey__close svg:hover {
    color: #333
}

.wall {
    border-radius: 12px;
    box-sizing: border-box;
    background-color: #fff;
    position: relative;
    border: 1px solid #d7d7d7;
    box-shadow: 0 2px 7px 0 rgba(0, 0, 0, .06);
    margin: 0 0 1.5rem
}

.wall .btn:disabled,
.wall .btn[disabled],
.wall .survey__cta:disabled,
.wall .survey__cta[disabled] {
    background: #ccc
}

.wall .share {
    margin-left: 1rem
}

.wall .share .icon {
    font-size: 1.5em
}

.wall .badge {
    vertical-align: bottom;
    margin-bottom: 2px
}

.wall .break-word {
    word-wrap: break-word
}

.wall p strong {
    font-family: sofia-pro, sans-serif;
    font-weight: 700
}

.checkout .marketing-container .wall .namePadding .t-link,
.wall .namePadding .checkout .marketing-container .t-link,
.wall .namePadding a {
    text-decoration: none
}

.wall .wall-post-dropdown {
    display: none
}

.wall .dropdown {
    width: 210px;
    padding: .5rem 1rem
}

.wall .dropdown__wrapper .select__button {
    border: 1px solid #d7d7d7;
    box-shadow: 0 2px 7px 0 rgba(0, 0, 0, .06);
    width: 34px;
    height: 34px
}

.wall .dropdown__wrapper .select__button .icon {
    position: absolute;
    right: 8px;
    top: 9px
}

.wall .dropdown__wrapper .select__button .icon svg {
    color: #999
}

@media (max-width:767px) {
    .wall .btn--porthole.porthole--md {
        width: 2.5rem !important;
        height: 2.5rem !important
    }
}

@media (max-width:375px) {
    .wall .btn--porthole.porthole--md {
        width: 2rem !important;
        height: 2rem !important
    }
}

.wall .btn--porthole.porthole--md {
    width: 3.3rem;
    height: 3.3rem;
    margin: 0;
    box-shadow: none
}

.wall taggable-textarea-autocomplete-list {
    width: 100%;
    position: relative;
    display: block
}

.wall taggable-textarea-autocomplete-list .select__box {
    width: 100%;
    z-index: 200;
    display: block
}

.checkout .marketing-container .wall taggable-textarea-autocomplete-list .select__box .t-link,
.wall taggable-textarea-autocomplete-list .select__box .checkout .marketing-container .t-link,
.wall taggable-textarea-autocomplete-list .select__box a {
    text-decoration: none
}

.checkout .marketing-container .wall taggable-textarea-autocomplete-list .select__box ul li:hover .t-link,
.wall taggable-textarea-autocomplete-list .select__box ul li:hover .checkout .marketing-container .t-link,
.wall taggable-textarea-autocomplete-list .select__box ul li:hover a {
    color: #fff
}

.wall wall-post-reply {
    display: block
}

.wall wall-post-reply-list-component {
    width: 100%;
    height: 100%;
    display: block
}

.wall wall-post-reply-list-component customer-stats-avatar-button {
    width: 100%;
    display: block
}

.wall wall-post-reply-list-component p {
    font-size: 95%
}

.wall wall-post-reply-list-component article,
.wall wall-post-reply-list-component wall-post-reply {
    padding: 20px;
    padding-bottom: 5px
}

@media (max-width:375px) {
    .wall wall-post-reply-list-component article,
    .wall wall-post-reply-list-component wall-post-reply {
        padding: 15p 15px 0
    }
}

.wall wall-post-reply-list-component article .reply-details>div,
.wall wall-post-reply-list-component wall-post-reply .reply-details>div {
    display: inline;
    margin-right: 14px
}

.wall wall-post-reply-list-component article:first-child,
.wall wall-post-reply-list-component wall-post-reply:first-child {
    border-top: 1px solid #ccc
}

.wall wall-post-reply-list-component article:last-of-type,
.wall wall-post-reply-list-component wall-post-reply:last-of-type {
    padding-bottom: 20px
}

@media (max-width:375px) {
    .wall wall-post-reply-list-component article:last-of-type,
    .wall wall-post-reply-list-component wall-post-reply:last-of-type {
        padding: 15px
    }
}

.wall wall-post-reply-list-component article.loading_replies {
    border-top: 1px solid #ccc;
    padding: 0
}

.wall wall-post-reply-list-component article.loading_replies .loader {
    height: 100%
}

.wall wall-post-reply-list-component article.loading_replies .loader-dots>span {
    width: 10px;
    height: 10px;
    margin: 16px 5px 12px
}

@media (min-width:425px) {
    .wall wall-post-reply-list-component .wall-reply-text {
        padding-left: 20px
    }
}

.wall wall-post-reply-list-component footer {
    border-top: 1px solid #ccc
}

.wall wall-post-reply-list-component footer form {
    margin-bottom: 0
}

.wall header {
    padding: 20px;
    background-color: #f6f6f6 !important;
}
.wall h5 {
    margin-bottom: 0 !important;
}

@media (max-width:375px) {
    .wall header {
        padding: 15px
    }
}

.wall header customer-stats-avatar-button .btn,
.wall header customer-stats-avatar-button .survey__cta {
    margin: 0 0 10px
}

.wall header .dot-container {
    position: relative
}

.wall header .dot-container .dot {
    top: -5px;
    left: -5px
}

.wall header .col__avatar {
    margin-right: 30px;
    margin-bottom: 10px
}

.wall header .col__avatar .btn,
.wall header .col__avatar .survey__cta {
    margin: 0
}

.wall header svg {
    color: #0f70e8;
    font-size: .7rem
}

.wall header .row:last-child {
    margin-bottom: 0
}

.wall header .container>.row>.col__grow {
    max-width: 70%
}

@media (min-width:321px) {
    .wall header .container>.row>.col__grow {
        max-width: 77.5%
    }
}

@media (min-width:426px) {
    .wall header .container>.row>.col__grow {
        max-width: 80%
    }
}

@media (min-width:768px) {
    .wall header .container>.row>.col__grow {
        max-width: 85%
    }
}

.wall header .container>.row>.col__grow:last-child {
    width: 30px;
    padding-left: 0
}

.wall header .post-details .h5,
.wall header .post-details h5 {
    font-size: 95%;
    margin-bottom: 0;
    font-family: sofia-pro, sans-serif;
    font-weight: 400
}

.wall header .postAuthor {
    margin-bottom: .2em
}

.wall header .namePadding {
    color: #0f70e8;
    margin-bottom: 0
}

.wall header .namePadding h5 {
    margin-bottom: 0;
    font-family: sofia-pro, sans-serif;
    font-weight: 700
}

.wall header .namePadding customer-stats-name-link,
.wall header .namePadding wall-post-angel-type,
.wall header .namePadding wall-posted-on-link {
    margin-right: 5px
}

.wall header .namePadding .badge {
    position: relative;
    top: -2px
}

.wall header .namePadding>.row>span {
    display: block;
    margin-right: 5px;
    margin-left: 7px;
    color: #0f70e8;
    font-family: sofia-pro, sans-serif;
    font-weight: 700
}

.wall header .namePadding>.row>span .icon {
    font-size: .7em
}

@media (max-width:992px) {
    .wall header .namePadding {
        height: auto;
        line-height: 1
    }
}

.wall header wall-post-product-rating-hearts-component {
    display: block
}

.wall header wall-post-product-rating-hearts-component .icon {
    color: #0f70e8
}

.wall header h5.bold {
    margin-bottom: 0;
    color: #999
}

.wall header .postStart {
    color: #999;
    font-size: .9rem;
    margin: 0
}

@media (max-width:992px) {
    .wall header .postStart {
        line-height: 1.2
    }
}

.wall header .socialLike {
    margin-right: 1em
}

.wall header .social-icons {
    display: inline-block;
    margin: 0 10px
}

@media (max-width:992px) {
    .wall header .social-icons {
        margin: 0 5px 0 0
    }
}

.wall header .social-icons .btn,
.wall header .social-icons .survey__cta {
    margin-left: 0;
    margin-top: 0
}

.wall header .media-icons {
    display: inline-block;
    margin: 0 0 0 10px
}

.wall header .replies {
    margin-left: 1rem
}

.wall header .badge__angel,
.wall header .badge__winemaker {
    display: block;
    margin: 0 0 0 10px
}

.wall header .btn,
.wall header .survey__cta {
    margin-left: 10px;
    margin-top: 1.5rem
}

.wall header .row.inline-buttons {
    margin-top: 1rem
}

.wall header .row.inline-buttons>.col {
    padding: 0 .75rem
}

.wall header .row.inline-buttons>.col .btn,
.wall header .row.inline-buttons>.col .survey__cta {
    margin: .25rem 0
}

@media (min-width:426px) {
    .wall header .row.inline-buttons {
        margin-top: 0
    }
}

.wall section {
    border-top: 1px solid #ccc;
    padding: 25px;
    padding-top: .5em;
    padding-bottom: .5em;
    background-color: #f5f5f5
}

@media (max-width:992px) {
    .wall section {
        padding: 20px
    }
}

@media (max-width:768px) {
    .wall section {
        padding: 30px
    }
}

.wall section h5.latestPost {
    margin-top: 5px;
    margin-bottom: 5px;
    font-size: .9rem;
    margin-left: 13px;
    color: #999
}

.wall article,
.wall wall-post-reply {
    padding: 25px
}

.wall article .col__avatar,
.wall wall-post-reply .col__avatar {
    margin-right: 24px
}

.wall article .col__avatar .btn,
.wall article .col__avatar .survey__cta,
.wall wall-post-reply .col__avatar .btn,
.wall wall-post-reply .col__avatar .survey__cta {
    margin: 0
}

.wall article .row .col__grow:nth-child(2),
.wall wall-post-reply .row .col__grow:nth-child(2) {
    padding-left: 1rem;
    max-width: 70%
}

@media (min-width:321px) {
    .wall article .row .col__grow:nth-child(2),
    .wall wall-post-reply .row .col__grow:nth-child(2) {
        max-width: 77.5%
    }
}

@media (min-width:426px) {
    .wall article .row .col__grow:nth-child(2),
    .wall wall-post-reply .row .col__grow:nth-child(2) {
        max-width: 80%
    }
}

@media (min-width:768px) {
    .wall article .row .col__grow:nth-child(2),
    .wall wall-post-reply .row .col__grow:nth-child(2) {
        max-width: 85%
    }
}

@media (max-width:992px) {
    .wall article,
    .wall wall-post-reply {
        padding: 20px
    }
}

@media (max-width:768px) {
    .wall article,
    .wall wall-post-reply {
        padding: 30px
    }
}

.wall article .row .col,
.wall article .row .col__grow,
.wall wall-post-reply .row .col,
.wall wall-post-reply .row .col__grow {
    padding-bottom: 0
}

.wall article .row .col__grow p:last-child,
.wall article .row .col p:last-child,
.wall wall-post-reply .row .col__grow p:last-child,
.wall wall-post-reply .row .col p:last-child {
    margin-bottom: 0
}

.wall article .row .col .namePadding,
.wall article .row .col__grow .namePadding,
.wall wall-post-reply .row .col .namePadding,
.wall wall-post-reply .row .col__grow .namePadding {
    font-family: sofia-pro, sans-serif;
    font-weight: 300;
    color: #0f70e8;
    margin-bottom: 0
}

.wall article .row .col .namePadding h5,
.wall article .row .col__grow .namePadding h5,
.wall wall-post-reply .row .col .namePadding h5,
.wall wall-post-reply .row .col__grow .namePadding h5 {
    margin-bottom: 0;
    font-family: sofia-pro, sans-serif;
    font-weight: 700;
    font-size: 95%
}

.wall article .row .col .namePadding customer-stats-name-link,
.wall article .row .col .namePadding wall-post-angel-type,
.wall article .row .col .namePadding wall-posted-on-link,
.wall article .row .col__grow .namePadding customer-stats-name-link,
.wall article .row .col__grow .namePadding wall-post-angel-type,
.wall article .row .col__grow .namePadding wall-posted-on-link,
.wall wall-post-reply .row .col .namePadding customer-stats-name-link,
.wall wall-post-reply .row .col .namePadding wall-post-angel-type,
.wall wall-post-reply .row .col .namePadding wall-posted-on-link,
.wall wall-post-reply .row .col__grow .namePadding customer-stats-name-link,
.wall wall-post-reply .row .col__grow .namePadding wall-post-angel-type,
.wall wall-post-reply .row .col__grow .namePadding wall-posted-on-link {
    margin-right: 5px
}

.wall article .row .col .namePadding .badge,
.wall article .row .col__grow .namePadding .badge,
.wall wall-post-reply .row .col .namePadding .badge,
.wall wall-post-reply .row .col__grow .namePadding .badge {
    position: relative;
    top: -1px
}

.wall footer {
    padding: 16px 20px
}

@media (max-width:375px) {
    .wall footer {
        padding: 15px
    }
}

.wall footer .row .col .likes,
.wall footer .row .col .socialLike {
    margin-right: 1.5em
}

.wall footer .row .col svg {
    color: #999;
    font-size: 1.5rem;
    vertical-align: -6px;
    transition: all .3s ease 0s
}

.wall footer .row .col svg:hover {
    color: #0f70e8
}

.wall footer .row:last-child {
    margin-bottom: 0
}

.wall footer .row .col__grow:nth-child(2) {
    padding-left: 1rem
}

.wall footer h6 {
    font-size: .9rem;
    display: inline-block;
    color: #666;
    margin-bottom: 0
}

.wall footer .social-icons {
    display: inline;
    margin: 0 0 0 14px
}

.wall footer .media-icons {
    display: inline;
    margin: 0;
    padding: 0 .75rem
}

.wall footer .media-icons .btn,
.wall footer .media-icons .survey__cta,
.wall footer .media-icons button {
    font-size: 1.5rem;
    color: #999;
    margin-right: 4px
}

.wall footer .media-icons .btn:active,
.wall footer .media-icons .btn:hover,
.wall footer .media-icons .survey__cta:active,
.wall footer .media-icons .survey__cta:hover,
.wall footer .media-icons button:active,
.wall footer .media-icons button:hover {
    color: #0f70e8
}

.wall footer .media-icons .btn:last-child,
.wall footer .media-icons .survey__cta:last-child,
.wall footer .media-icons button:last-child {
    margin-right: 0
}

.wall .select__wrapper {
    box-shadow: none;
    border: 1px solid #fff
}

.wall .select__wrapper--active,
.wall .select__wrapper:hover {
    border: 1px solid #d7d7d7;
    box-shadow: 0 0 8px 0 rgba(0, 0, 0, .15)
}

.wall .select__box {
    width: auto;
    right: 0;
    top: 96%;
    border-top: 1px solid #d7d7d7;
    border-top-left-radius: 6px;
    border-top-right-radius: 6px
}

@media (max-width:375px) {
    .wall .select__box {
        width: 260px
    }
}

.wall .select__box ul li {
    white-space: nowrap
}

.wall .select__box ul li:first-child:hover {
    border-top-left-radius: 6px;
    border-top-right-radius: 6px
}

@media (max-width:375px) {
    .wall .select__box ul li {
        white-space: normal
    }
}

.wall textarea:not(.edit),
.wall textarea:not(.edit):active,
.wall textarea:not(.edit):focus,
.wall textarea:not(.edit):hover {
    resize: none;
    border: none;
    height: 50px;
    padding: 26px 0 0;
    box-shadow: none
}

@media (min-width:768px) {
    .wall textarea:not(.edit),
    .wall textarea:not(.edit):active,
    .wall textarea:not(.edit):focus,
    .wall textarea:not(.edit):hover {
        padding-top: 21px
    }
}

.wall .taggable-textarea-autocomplete-list {
    padding-top: 26px !important
}

@media (min-width:768px) {
    .wall .taggable-textarea-autocomplete-list {
        padding-top: 21px !important
    }
}

.wall textarea:not(.edit):not(.taggable):not(.reply),
.wall textarea:not(.edit):not(.taggable):not(.reply):active,
.wall textarea:not(.edit):not(.taggable):not(.reply):focus,
.wall textarea:not(.edit):not(.taggable):not(.reply):hover {
    height: 50px !important
}

.wall .taggable-textarea-autocomplete-list,
.wall textarea,
.wall textarea:active,
.wall textarea:hover {
    font-size: .9rem;
    color: #666;
    outline: none
}

.wall textarea:focus {
    outline: 2px solid #1e4e86
}

.wall footer textarea,
.wall footer textarea:active,
.wall footer textarea:focus,
.wall footer textarea:hover {
    padding-top: 18px !important
}

@media (min-width:768px) {
    .wall footer textarea,
    .wall footer textarea:active,
    .wall footer textarea:focus,
    .wall footer textarea:hover {
        padding-top: 17px !important
    }
}

.wall textarea {
    min-height: 0
}

.wall textarea::-webkit-input-placeholder {
    font-size: 1rem;
    color: #999;
    vertical-align: middle
}

.wall textarea:-moz-placeholder,
.wall textarea::-moz-placeholder {
    font-size: 1rem;
    color: #999;
    vertical-align: middle
}

.wall textarea:-ms-input-placeholder {
    font-size: 1rem;
    color: #999;
    vertical-align: middle
}

@media (max-width:767px) {
    .wall textarea::-webkit-input-placeholder {
        font-size: .9rem;
        color: #999
    }
    .wall textarea:-moz-placeholder,
    .wall textarea::-moz-placeholder {
        font-size: .9rem;
        color: #999
    }
    .wall textarea:-ms-input-placeholder {
        font-size: .9rem;
        color: #999
    }
}

.wall--action .select__button {
    text-indent: -5000px;
    min-width: 0;
    padding: 0;
    outline: none
}

.wall--action .select__box ul {
    padding: 1rem
}

.wall--action .select__box ul li {
    padding: .5em 0;
    position: relative
}

.wall--action .select__box ul li:focus,
.wall--action .select__box ul li:hover {
    background: transparent;
    color: #333;
    cursor: pointer
}

.wall--action .select__box ul li[data-value=Favourite] {
    font-weight: 700;
    border-radius: 0;
    padding-left: 25px
}

.wall--action .select__box ul li[data-value=Favourite]:before {
    background-image: url('data:image/svg+xml;utf8,<svg xmlns="http://www.w3.org/2000/svg" width="32" height="32"><path fill="%23ffd800" d="M29.46,12.9a.84.84,0,0,0-.68-.57l-8.31-1.21L16.76,3.6a.84.84,0,0,0-1.51,0l-3.71,7.52L3.22,12.33a.84.84,0,0,0-.47,1.44l6,5.85L7.35,27.88a.84.84,0,0,0,1.22.89L16,24.87l7.43,3.9a.84.84,0,0,0,1.22-.89l-1.42-8.26,6-5.85A.84.84,0,0,0,29.46,12.9Zm-7.72,5.82a.84.84,0,0,0-.24.75l1.2,7-6.31-3.31a.85.85,0,0,0-.78,0L9.3,26.48l1.2-7a.84.84,0,0,0-.24-.75l-5.1-5,7.05-1a.84.84,0,0,0,.64-.46L16,5.88l3.16,6.39a.84.84,0,0,0,.64.46l7.05,1Z"/></svg>');
    width: 20px;
    height: 20px;
    content: "";
    position: absolute;
    left: 0;
    top: -3px;
    background-repeat: no-repeat;
    background-size: cover
}

.wall--action .select__box ul li[data-value=Pin] {
    font-weight: 700;
    border-radius: 0;
    padding-left: 25px
}

.wall--action .select__box ul li[data-value=Pin]:before {
    background-image: url('data:image/svg+xml;utf8,<svg xmlns="http://www.w3.org/2000/svg" width="32" height="32"><path fill="%230f70e8" d="M29.33,28.21,21,17.89l3.39-3.39a.79.79,0,0,0,0-1.12,7.82,7.82,0,0,0-7-2.15,7.75,7.75,0,0,0-1,.27l-3-3A7.84,7.84,0,0,0,13.19,3a.79.79,0,0,0-1.3-.26L2.73,11.89A.79.79,0,0,0,3,13.19a7.81,7.81,0,0,0,1.45.43,8,8,0,0,0,3,0,7.87,7.87,0,0,0,1-.27l3,3a7.77,7.77,0,0,0-.27,1,7.81,7.81,0,0,0,2.15,7,.79.79,0,0,0,1.12,0L17.88,21l10.32,8.28a.79.79,0,0,0,1.12-1.12ZM14,22.72q-.14-.19-.27-.38a6.25,6.25,0,0,1-.91-4.62,6.16,6.16,0,0,1,.34-1.14l0-.07a.79.79,0,0,0-.17-.87L9.21,11.86a.8.8,0,0,0-.87-.17l-.05,0a6.23,6.23,0,0,1-1.15.34,6.29,6.29,0,0,1-2.33,0L12.07,4.8a6.27,6.27,0,0,1-.34,3.47l0,.08a.79.79,0,0,0,.17.86L15.64,13a.8.8,0,0,0,.86.17l.06,0a6.14,6.14,0,0,1,1.15-.34,6.3,6.3,0,0,1,2.38,0,6.19,6.19,0,0,1,2.24.91h0l.38.27Zm5-2.8.9-.9,3.65,4.56Z"></path></svg>');
    width: 20px;
    height: 20px;
    content: "";
    position: absolute;
    left: 0;
    top: 6px;
    background-repeat: no-repeat;
    background-size: cover
}

.wall--action .select__box ul li[data-value=Bar] {
    border-bottom: 1px solid #ccc;
    margin-bottom: .5rem;
    margin-top: .5rem;
    font-size: 0
}

.wall--action .select__box ul li:last-child {
    padding-bottom: 0
}

.wall--action .select__box ul li:first-child {
    padding-top: 0
}

.wall--action[data-favourite=true] .select__box ul li[data-value=Favourite]:before {
    background-image: url('data:image/svg+xml;utf8,<svg xmlns="http://www.w3.org/2000/svg" width="32" height="32"><path fill="%23ffd800" d="M29.46,12.9a.84.84,0,0,0-.68-.57l-8.31-1.21L16.76,3.6a.84.84,0,0,0-1.51,0l-3.71,7.52L3.22,12.33a.84.84,0,0,0-.47,1.44l6,5.85L7.35,27.88a.84.84,0,0,0,1.22.89L16,24.87l7.43,3.9a.84.84,0,0,0,1.22-.89l-1.42-8.26,6-5.85A.84.84,0,0,0,29.46,12.9Z"/></svg>')
}

.wall wall-post-media-component {
    display: block;
    margin-bottom: 20px
}

.wall wall-post-media-component>.row>div {
    margin: 0 10px 10px 0;
    border: 1px solid #ccc;
    width: 100%;
    height: 100%
}

@media (max-width:376px) {
    .checkout .marketing-container .wall wall-post-media-component>.row>div .t-link,
    .wall wall-post-media-component>.row>div,
    .wall wall-post-media-component>.row>div .checkout .marketing-container .t-link,
    .wall wall-post-media-component>.row>div a,
    .wall wall-post-media-component>.row>div span {
        min-height: 150px
    }
    .checkout .marketing-container .wall wall-post-media-component>.row>div .t-link span,
    .wall wall-post-media-component>.row>div .checkout .marketing-container .t-link span,
    .wall wall-post-media-component>.row>div a span {
        background-size: contain !important
    }
}

@media (min-width:376px) {
    .wall wall-post-media-component>.row>div {
        width: 150px;
        height: 150px
    }
}

.checkout .marketing-container .wall wall-post-media-component>.row>div .t-link,
.wall wall-post-media-component>.row>div .checkout .marketing-container .t-link,
.wall wall-post-media-component>.row>div a {
    display: block;
    width: 100%;
    height: 100%
}

.checkout .marketing-container .wall wall-post-media-component>.row>div .t-link span,
.wall wall-post-media-component>.row>div .checkout .marketing-container .t-link span,
.wall wall-post-media-component>.row>div a span {
    width: 100%;
    height: 100%;
    display: block;
    background-size: cover;
    background-repeat: no-repeat;
    position: relative
}

.wall wall-post-media-component>.row>div .play {
    position: absolute;
    top: 35%;
    left: 35%;
    width: 71px;
    height: 54px
}

.wall wall-post-promoted-producer {
    display: block;
    padding-top: 10px
}

.wall wall-post-promoted-producer .card__product {
    overflow: hidden
}

.wall wall-post-promoted-producer .card__product h4 {
    margin-bottom: 0
}

.wall wall-post-promoted-producer .card__product .btn,
.wall wall-post-promoted-producer .card__product .survey__cta {
    margin: 0
}

@media (min-width:993px) {
    .wall wall-post-promoted-producer>.card__contents {
        padding: 30px
    }
}

.wall wall-post-promoted-product {
    display: block;
    padding-top: 10px;
    overflow: hidden
}

.wall wall-post-promoted-product .card__beer--grid .card__contents,
.wall wall-post-promoted-product .card__product--grid .card__contents {
    border-bottom: 0;
    padding-bottom: 0;
    height: auto
}

.wall wall-post-promoted-product .card__beer--grid .btn,
.wall wall-post-promoted-product .card__beer--grid .survey__cta,
.wall wall-post-promoted-product .card__product--grid .btn,
.wall wall-post-promoted-product .card__product--grid .survey__cta {
    margin: 0
}

@media (min-width:993px) {
    .wall wall-post-promoted-product>.card__contents {
        padding: 30px
    }
}

.wall wall-post-dropdown-component {
    width: 30px;
    height: 30px;
    min-width: 30px
}

wall-post-creation-component .wall>header>.container>.row>.col__grow:last-child {
    padding-left: 1rem
}

likers-popover {
    display: inline-block
}

likers-modal .modal-dialog {
    max-width: 500px
}

@media (max-width:425px) {
    likers-modal .modal-dialog .btn-action-container {
        display: block;
        width: 100%
    }
}

likers-modal .modal-dialog .btn-action-container .btn-action {
    width: 136px
}

@media (max-width:425px) {
    likers-modal .modal-dialog .btn-action-container .btn-action {
        display: block;
        width: 100%
    }
}

.wall:focus .wall-post-dropdown,
.wall:hover .wall-post-dropdown {
    display: block
}

@media (max-width:992px) {
    .wall-post-dropdown {
        display: block !important
    }
}

.wall-post {
    width: 100%;
    height: 100px
}

.wall--action .select__wrapper {
    height: 25px;
    width: 25px;
    float: right;
    border: 1px solid #d7d7d7;
    box-shadow: 0 0 8px 0 rgba(0, 0, 0, .15);
    position: relative
}

.wall--action .select__button {
    height: 100%;
    width: 100%;
    position: absolute;
    top: 0;
    left: 0
}

.wall--action .select__button .icon {
    top: 3px;
    right: 3px;
    font-size: 1rem
}

.wall--action .select__button .icon__caret-down {
    color: #999 !important
}

.wall--action .select__button .icon__cross {
    color: #999 !important;
    display: none;
    font-size: .9rem;
    right: 4px;
    top: 4px
}

.search-page .wall-post {
    overflow: hidden
}

.wall-button {
    position: absolute;
    bottom: 20px;
    right: 25px
}

@media (max-width:425px) {
    .card-todo-form {
        margin-left: -3rem !important;
        margin-right: -2rem !important
    }
}

@media (max-width:320px) {
    .card-todo-form {
        margin-right: -3rem !important
    }
}

.search-page [data-target="#sweet-spot-about-modal"] {
    cursor: pointer
}

.search-page .no-results {
    width: 100%
}

.search-page .no-results h3 {
    max-width: 550px;
    margin: 30px auto
}

@media (min-width:992px) {
    .search-page .no-results .col__md--3 {
        display: flex
    }
    .search-page .no-results .card__contents {
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        text-align: center
    }
}

.search-page .wall {
    margin-bottom: 1rem
}

.search-page .wall article {
    border-top: none
}

@media (max-width:767px) {
    .search-page .wall article {
        padding: 15px
    }
}


.wall__search-result .col__avatar {
    margin: 0 .75rem !important
}

@media (max-width:767px) {
    .wall__search-result .col__avatar .btn--porthole {
        width: 2.7rem !important;
        height: 2.7rem !important
    }
}

.wall__search-result .col__name .icon {
    font-size: .7rem
}

.wall__search-result .wall__search-result__name {
    cursor: pointer
}

.wall__search-result .wall-post {
    height: auto;
    padding-bottom: 40px
}

@media (max-width:992px) {
    .wall__search-result .wall-button {
        right: 20px
    }
}

@media (max-width:767px) {
    .wall__search-result .wall-button {
        right: 15px
    }
}


.product-detail .wall header {
    background-color: transparent;
}

.sm,
small {
    font-size: .8rem;
    line-height: 1.5
}


.badge {
    display: inline-block;
    padding: 5px 7px;
    font-size: 65%;
    font-family: sofia-pro, sans-serif;
    font-weight: 700;
    letter-spacing: 0;
    line-height: 1;
    color: #fff;
    text-align: center;
    white-space: nowrap;
    vertical-align: baseline;
    border-radius: 3px
}

.badge:empty {
    display: none
}

.badge-angel,
.badge-angelinwaiting,
.badge-blue,
.badge-customerhappiness,
.badge-deliveryguy,
.badge-nakeddesigner,
.badge-nakedgeek,
.badge-nakedskipper,
.badge-nakedstaff,
.badge-newangel,
.badge-sustainabilityguy,
.badge-theboss,
.badge-wineadvisor,
.badge-winegal,
.badge-wineguy,
.badge-winenut {
    background-color: #0f70e8
}

.badge-grey {
    background-color: #999
}

.badge-red {
    background-color: #df171e
}

.badge-archangel {
    background: #ffd800;
    color: #8a5544
}

.badge-brewery,
.badge-orange,
.badge-winemaker {
    background-color: #f7941d
}

.badge-yellow {
    background-color: #ffe04d
}

.badge-white {
    background-color: #fff
}

.badge-green {
    background-color: #54ce34
}

.badge-dark-green {
    background-color: #015726
}

.badge-inpost {
    background-color: #ffe04d;
    color: #333
}

.badge-purple {
    background-color: #5c008d
}

.badge-ghost-angel,
.badge-ghost-angelinwaiting,
.badge-ghost-blue,
.badge-ghost-customerhappiness,
.badge-ghost-deliveryguy,
.badge-ghost-nakeddesigner,
.badge-ghost-nakedgeek,
.badge-ghost-nakedstaff,
.badge-ghost-newangel,
.badge-ghost-theboss,
.badge-ghost-wineadvisor,
.badge-ghost-winegal,
.badge-ghost-wineguy {
    background: none;
    color: #0f70e8;
    border: 1px solid #0f70e8
}

.badge-ghost-grey {
    background: none;
    color: #999;
    border: 1px solid #999
}

.badge-ghost-red {
    background: none;
    color: #df171e;
    border: 1px solid #df171e
}

.badge-ghost-archangel {
    background: none;
    border: 1px solid #ffd800;
    color: #8a5544
}

.badge-ghost-brewery,
.badge-ghost-orange,
.badge-ghost-winemaker {
    background: none;
    color: #f7941d;
    border: 1px solid #f7941d
}

.badge-ghost-brewery.badge--ghost-special,
.badge-ghost-orange.badge--ghost-special,
.badge-ghost-winemaker.badge--ghost-special {
    background-color: rgba(247, 148, 29, .2);
    color: #333
}

.badge-ghost-yellow {
    background: none;
    color: #ffe04d;
    border: 1px solid #ffe04d
}

.badge-ghost-white {
    background: none;
    color: #fff;
    border: 1px solid #fff
}

.badge-pill {
    padding-right: 10px;
    padding-left: 10px;
    border-radius: 30px
}

.badge--angel,
.badge--angelinwaiting,
.badge--blue,
.badge--customerhappiness,
.badge--deliveryguy,
.badge--nakeddesigner,
.badge--nakedgeek,
.badge--nakedstaff,
.badge--newangel,
.badge--theboss,
.badge--wineadvisor,
.badge--winegal,
.badge--wineguy {
    background-color: #0f70e8
}

.badge--grey {
    background-color: #999
}

.badge--red {
    background-color: #df171e
}

.badge--archangel {
    background: #ffd800;
    color: #8a5544
}

.badge--brewery,
.badge--orange,
.badge--winemaker {
    background-color: #f7941d
}

.badge--yellow {
    background-color: #ffe04d
}

.badge--white {
    background-color: #fff
}

.badge--green {
    background-color: #54ce34
}

.badge--dark-green {
    background-color: #015726
}

.badge--inpost {
    background-color: #ffe04d;
    color: #333
}

.badge--purple {
    background-color: #5c008d
}

.badge--ghost-angel,
.badge--ghost-angelinwaiting,
.badge--ghost-blue,
.badge--ghost-customerhappiness,
.badge--ghost-deliveryguy,
.badge--ghost-nakeddesigner,
.badge--ghost-nakedgeek,
.badge--ghost-nakedstaff,
.badge--ghost-newangel,
.badge--ghost-theboss,
.badge--ghost-wineadvisor,
.badge--ghost-winegal,
.badge--ghost-wineguy {
    background: none;
    color: #0f70e8;
    border: 1px solid #0f70e8
}

.badge--ghost-angel.badge--ghost-free,
.badge--ghost-angelinwaiting.badge--ghost-free,
.badge--ghost-blue.badge--ghost-free,
.badge--ghost-customerhappiness.badge--ghost-free,
.badge--ghost-deliveryguy.badge--ghost-free,
.badge--ghost-nakeddesigner.badge--ghost-free,
.badge--ghost-nakedgeek.badge--ghost-free,
.badge--ghost-nakedstaff.badge--ghost-free,
.badge--ghost-newangel.badge--ghost-free,
.badge--ghost-theboss.badge--ghost-free,
.badge--ghost-wineadvisor.badge--ghost-free,
.badge--ghost-winegal.badge--ghost-free,
.badge--ghost-wineguy.badge--ghost-free {
    background-color: rgba(15, 112, 232, .2);
    color: #333
}

.badge--ghost-grey {
    background: none;
    color: #999;
    border: 1px solid #999
}

.badge--ghost-red {
    background: none;
    color: #df171e;
    border: 1px solid #df171e
}

.badge--ghost-archangel {
    background: none;
    border: 1px solid #ffd800;
    color: #8a5544
}

.badge--ghost-brewery,
.badge--ghost-orange,
.badge--ghost-winemaker {
    background: none;
    color: #f7941d;
    border: 1px solid #f7941d
}

.badge--ghost-yellow {
    background: none;
    color: #ffe04d;
    border: 1px solid #ffe04d
}

.badge--ghost-white {
    background: none;
    color: #fff;
    border: 1px solid #fff
}

.badge--pill {
    padding-right: 10px;
    padding-left: 10px;
    border-radius: 30px
}

.badge--step-count {
    background: #0f70e8;
    border-radius: 50px;
    padding: 11px 0 0;
    color: #fff;
    width: 46px;
    height: 46px;
    text-align: center;
    display: block;
    font-weight: 400
}

